<?php 
ini_set("display_errors","1");
ini_set("display_startup_errors","1");
set_magic_quotes_runtime(0);

include("include/dbcommon.php");
include("include/pf_proceso_variables.php");



$filename="";	
$message="";
$error_happened=false;
$readavalues=false;

//connect database
$conn = db_connect();

// insert new record if we have to

if(@$_POST["a"]=="added")
{
	$afilename_values=array();
	$avalues=array();
	$files_move=array();
//	processing fecha_inicio - start

	$value = postvalue("value_fecha_inicio");
	$type=postvalue("type_fecha_inicio");
	if (in_assoc_array("type_fecha_inicio",$_POST) || in_assoc_array("value_fecha_inicio",$_POST) || in_assoc_array("value_fecha_inicio",$_FILES))
	{
		$value=prepare_for_db("fecha_inicio",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_inicio"]=$value;
	}

//	processibng fecha_inicio - end
//	processing id_proceso - start

	$value = postvalue("value_id_proceso");
	$type=postvalue("type_id_proceso");
	if (in_assoc_array("type_id_proceso",$_POST) || in_assoc_array("value_id_proceso",$_POST) || in_assoc_array("value_id_proceso",$_FILES))
	{
		$value=prepare_for_db("id_proceso",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["id_proceso"]=$value;
	}

//	processibng id_proceso - end
//	processing id_camara - start

	$value = postvalue("value_id_camara");
	$type=postvalue("type_id_camara");
	if (in_assoc_array("type_id_camara",$_POST) || in_assoc_array("value_id_camara",$_POST) || in_assoc_array("value_id_camara",$_FILES))
	{
		$value=prepare_for_db("id_camara",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["id_camara"]=$value;
	}

//	processibng id_camara - end
//	processing fecha_fin - start

	$value = postvalue("value_fecha_fin");
	$type=postvalue("type_fecha_fin");
	if (in_assoc_array("type_fecha_fin",$_POST) || in_assoc_array("value_fecha_fin",$_POST) || in_assoc_array("value_fecha_fin",$_FILES))
	{
		$value=prepare_for_db("fecha_fin",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_fin"]=$value;
	}

//	processibng fecha_fin - end
//	processing fecha_ultcam - start

	$value = postvalue("value_fecha_ultcam");
	$type=postvalue("type_fecha_ultcam");
	if (in_assoc_array("type_fecha_ultcam",$_POST) || in_assoc_array("value_fecha_ultcam",$_POST) || in_assoc_array("value_fecha_ultcam",$_FILES))
	{
		$value=prepare_for_db("fecha_ultcam",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_ultcam"]=$value;
	}

//	processibng fecha_ultcam - end
//	processing estado - start

	$value = postvalue("value_estado");
	$type=postvalue("type_estado");
	if (in_assoc_array("type_estado",$_POST) || in_assoc_array("value_estado",$_POST) || in_assoc_array("value_estado",$_FILES))
	{
		$value=prepare_for_db("estado",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["estado"]=$value;
	}

//	processibng estado - end
//	processing frecuencia - start

	$value = postvalue("value_frecuencia");
	$type=postvalue("type_frecuencia");
	if (in_assoc_array("type_frecuencia",$_POST) || in_assoc_array("value_frecuencia",$_POST) || in_assoc_array("value_frecuencia",$_FILES))
	{
		$value=prepare_for_db("frecuencia",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["frecuencia"]=$value;
	}

//	processibng frecuencia - end
//	processing creador_inicial - start

	$value = postvalue("value_creador_inicial");
	$type=postvalue("type_creador_inicial");
	if (in_assoc_array("type_creador_inicial",$_POST) || in_assoc_array("value_creador_inicial",$_POST) || in_assoc_array("value_creador_inicial",$_FILES))
	{
		$value=prepare_for_db("creador_inicial",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["creador_inicial"]=$value;
	}

//	processibng creador_inicial - end
//	processing fecha_inicio_giro1 - start

	$value = postvalue("value_fecha_inicio_giro1");
	$type=postvalue("type_fecha_inicio_giro1");
	if (in_assoc_array("type_fecha_inicio_giro1",$_POST) || in_assoc_array("value_fecha_inicio_giro1",$_POST) || in_assoc_array("value_fecha_inicio_giro1",$_FILES))
	{
		$value=prepare_for_db("fecha_inicio_giro1",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_inicio_giro1"]=$value;
	}

//	processibng fecha_inicio_giro1 - end
//	processing fecha_fin_giro1 - start

	$value = postvalue("value_fecha_fin_giro1");
	$type=postvalue("type_fecha_fin_giro1");
	if (in_assoc_array("type_fecha_fin_giro1",$_POST) || in_assoc_array("value_fecha_fin_giro1",$_POST) || in_assoc_array("value_fecha_fin_giro1",$_FILES))
	{
		$value=prepare_for_db("fecha_fin_giro1",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_fin_giro1"]=$value;
	}

//	processibng fecha_fin_giro1 - end
//	processing fecha_inicio_giro2 - start

	$value = postvalue("value_fecha_inicio_giro2");
	$type=postvalue("type_fecha_inicio_giro2");
	if (in_assoc_array("type_fecha_inicio_giro2",$_POST) || in_assoc_array("value_fecha_inicio_giro2",$_POST) || in_assoc_array("value_fecha_inicio_giro2",$_FILES))
	{
		$value=prepare_for_db("fecha_inicio_giro2",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_inicio_giro2"]=$value;
	}

//	processibng fecha_inicio_giro2 - end
//	processing fecha_fin_giro2 - start

	$value = postvalue("value_fecha_fin_giro2");
	$type=postvalue("type_fecha_fin_giro2");
	if (in_assoc_array("type_fecha_fin_giro2",$_POST) || in_assoc_array("value_fecha_fin_giro2",$_POST) || in_assoc_array("value_fecha_fin_giro2",$_FILES))
	{
		$value=prepare_for_db("fecha_fin_giro2",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_fin_giro2"]=$value;
	}

//	processibng fecha_fin_giro2 - end
//	processing fecha_inicio_giro3 - start

	$value = postvalue("value_fecha_inicio_giro3");
	$type=postvalue("type_fecha_inicio_giro3");
	if (in_assoc_array("type_fecha_inicio_giro3",$_POST) || in_assoc_array("value_fecha_inicio_giro3",$_POST) || in_assoc_array("value_fecha_inicio_giro3",$_FILES))
	{
		$value=prepare_for_db("fecha_inicio_giro3",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_inicio_giro3"]=$value;
	}

//	processibng fecha_inicio_giro3 - end
//	processing fecha_fin_giro3 - start

	$value = postvalue("value_fecha_fin_giro3");
	$type=postvalue("type_fecha_fin_giro3");
	if (in_assoc_array("type_fecha_fin_giro3",$_POST) || in_assoc_array("value_fecha_fin_giro3",$_POST) || in_assoc_array("value_fecha_fin_giro3",$_FILES))
	{
		$value=prepare_for_db("fecha_fin_giro3",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["fecha_fin_giro3"]=$value;
	}

	
	
	
	
	
//	processibng fecha_fin_giro3 - end
//	processing Pallets - start

	$value = postvalue("value_Pallets");
	$type=postvalue("type_Pallets");
	if (in_assoc_array("type_Pallets",$_POST) || in_assoc_array("value_Pallets",$_POST) || in_assoc_array("value_Pallets",$_FILES))
	{
		$value=prepare_for_db("Pallets",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["Pallets"]=$value;
	}

//	processibng Pallets - end
//	processing Puchos - start

	$value = postvalue("value_Puchos");
	$type=postvalue("type_Puchos");
	if (in_assoc_array("type_Puchos",$_POST) || in_assoc_array("value_Puchos",$_POST) || in_assoc_array("value_Puchos",$_FILES))
	{
		$value=prepare_for_db("Puchos",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["Puchos"]=$value;
	}

//	processibng Puchos - end
//	processing bins - start

	$value = postvalue("value_bins");
	$type=postvalue("type_bins");
	if (in_assoc_array("type_bins",$_POST) || in_assoc_array("value_bins",$_POST) || in_assoc_array("value_bins",$_FILES))
	{
		$value=prepare_for_db("bins",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["bins"]=$value;
	}

//	processibng bins - end
//	processing origen - start

	$value = postvalue("value_origen");
	$type=postvalue("type_origen");
	if (in_assoc_array("type_origen",$_POST) || in_assoc_array("value_origen",$_POST) || in_assoc_array("value_origen",$_FILES))
	{
		$value=prepare_for_db("origen",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["origen"]=$value;
	}

//	processibng origen - end
//	processing destino - start

	$value = postvalue("value_destino");
	$type=postvalue("type_destino");
	if (in_assoc_array("type_destino",$_POST) || in_assoc_array("value_destino",$_POST) || in_assoc_array("value_destino",$_FILES))
	{
		$value=prepare_for_db("destino",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["destino"]=$value;
	}

//	processibng destino - end
//	processing id_especie - start

	$value = postvalue("value_id_especie");
	$type=postvalue("type_id_especie");
	if (in_assoc_array("type_id_especie",$_POST) || in_assoc_array("value_id_especie",$_POST) || in_assoc_array("value_id_especie",$_FILES))
	{
		$value=prepare_for_db("id_especie",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["id_especie"]=$value;
	}

//	processibng id_especie - end
//	processing id_envase - start

	$value = postvalue("value_id_envase");
	$type=postvalue("type_id_envase");
	if (in_assoc_array("type_id_envase",$_POST) || in_assoc_array("value_id_envase",$_POST) || in_assoc_array("value_id_envase",$_FILES))
	{
		$value=prepare_for_db("id_envase",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["id_envase"]=$value;
	}

//	processibng id_envase - end
//	processing condicion_inicial - start

	$value = postvalue("value_condicion_inicial");
	$type=postvalue("type_condicion_inicial");
	if (in_assoc_array("type_condicion_inicial",$_POST) || in_assoc_array("value_condicion_inicial",$_POST) || in_assoc_array("value_condicion_inicial",$_FILES))
	{
		$value=prepare_for_db("condicion_inicial",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["condicion_inicial"]=$value;
	}

//	processibng condicion_inicial - end
//	processing num_giros - start

	$value = postvalue("value_num_giros");
	$type=postvalue("type_num_giros");
	if (in_assoc_array("type_num_giros",$_POST) || in_assoc_array("value_num_giros",$_POST) || in_assoc_array("value_num_giros",$_FILES))
	{
		$value=prepare_for_db("num_giros",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["num_giros"]=$value;
	}

//	processibng num_giros - end
//	processing creador_final - start

	$value = postvalue("value_creador_final");
	$type=postvalue("type_creador_final");
	if (in_assoc_array("type_creador_final",$_POST) || in_assoc_array("value_creador_final",$_POST) || in_assoc_array("value_creador_final",$_FILES))
	{
		$value=prepare_for_db("creador_final",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["creador_final"]=$value;
	}

//	processibng creador_final - end
//	processing condicion_final - start

	$value = postvalue("value_condicion_final");
	$type=postvalue("type_condicion_final");
	if (in_assoc_array("type_condicion_final",$_POST) || in_assoc_array("value_condicion_final",$_POST) || in_assoc_array("value_condicion_final",$_FILES))
	{
		$value=prepare_for_db("condicion_final",$value,$type);
	}
	else
		$value=false;
	if(!($value===false))
	{
		$avalues["condicion_final"]=$value;
	}

//	processibng condicion_final - end





//	add filenames to values
	foreach($afilename_values as $akey=>$value)
		$avalues[$akey]=$value;
//	make SQL string
	$strSQL = "insert into ".AddTableWrappers($strOriginalTableName)." ";
	$strFields="(";
	$strValues="(";
	
//	before Add event
	$retval = true;
	if(function_exists("BeforeAdd"))
		$retval=BeforeAdd($avalues);
	if($retval)
	{
		foreach($avalues as $akey=>$value)
		{
			$strFields.=AddFieldWrappers($akey).", ";
			$strValues.=add_db_quotes($akey,$value).", ";
		}
		if(substr($strFields,-2)==", ")
			$strFields=substr($strFields,0,strlen($strFields)-2);
		if(substr($strValues,-2)==", ")
			$strValues=substr($strValues,0,strlen($strValues)-2);
		$strSQL.=$strFields.") values ".$strValues.")";
		LogInfo($strSQL);
		set_error_handler("add_error_handler");
		db_exec($strSQL,$conn);
		set_error_handler("error_handler");
//	move files
		if(!$error_happened)
		{
			foreach ($files_move as $file)
			{
				move_uploaded_file($file[0],$file[1]);
				if(strtoupper(substr(PHP_OS,0,3))!="WIN")
					chmod($file[1],0777);
			}
		
			$message="<div class=message><<< "."El registro fue añadido"." >>></div>";
//	after add event		
			if(function_exists("AfterAdd"))
				AfterAdd();
		}
	}
	else
		$readavalues=true;
}

$defvalues=array();


$keys=array();
$keys["id_proceso"]=postvalue("copyid1");

//	copy record
if(array_key_exists("copyid1",$_REQUEST))
{
	$strWhere=KeyWhere($keys);
	$strSQL=$gstrSQL;
	$strSQL=AddWhere($strSQL,$strWhere);
	LogInfo($strSQL);
	$rs=db_query($strSQL,$conn);
	$defvalues=db_fetch_array($rs);
//	clear key fields
	$defvalues["id_proceso"]="";
//call CopyOnLoad event
	if(function_exists("CopyOnLoad"))
		CopyOnLoad($defvalues,$strWhere);
}
else if(!count($defvalues))
{
}
if($readavalues)
{
	$defvalues["fecha_inicio"]=@$avalues["fecha_inicio"];
	$defvalues["id_proceso"]=@$avalues["id_proceso"];
	$defvalues["id_camara"]=@$avalues["id_camara"];
	$defvalues["fecha_fin"]=@$avalues["fecha_fin"];
	$defvalues["fecha_ultcam"]=@$avalues["fecha_ultcam"];
	$defvalues["estado"]=@$avalues["estado"];
	$defvalues["frecuencia"]=@$avalues["frecuencia"];
	$defvalues["creador_inicial"]=@$avalues["creador_inicial"];
	$defvalues["fecha_inicio_giro1"]=@$avalues["fecha_inicio_giro1"];
	$defvalues["fecha_fin_giro1"]=@$avalues["fecha_fin_giro1"];
	$defvalues["fecha_inicio_giro2"]=@$avalues["fecha_inicio_giro2"];
	$defvalues["fecha_fin_giro2"]=@$avalues["fecha_fin_giro2"];
	$defvalues["fecha_inicio_giro3"]=@$avalues["fecha_inicio_giro3"];
	$defvalues["fecha_fin_giro3"]=@$avalues["fecha_fin_giro3"];
	$defvalues["Pallets"]=@$avalues["Pallets"];
	$defvalues["Puchos"]=@$avalues["Puchos"];
	$defvalues["bins"]=@$avalues["bins"];
	$defvalues["origen"]=@$avalues["origen"];
	$defvalues["destino"]=@$avalues["destino"];
	$defvalues["id_especie"]=@$avalues["id_especie"];
	$defvalues["id_envase"]=@$avalues["id_envase"];
	$defvalues["condicion_inicial"]=@$avalues["condicion_inicial"];
	$defvalues["num_giros"]=@$avalues["num_giros"];
	$defvalues["creador_final"]=@$avalues["creador_final"];
	$defvalues["condicion_final"]=@$avalues["condicion_final"];
}


include('libs/Smarty.class.php');
$smarty = new Smarty();

foreach($defvalues as $key=>$value)
	$smarty->assign("value_".GoodFieldName($key),$value);


//	include files

$includes="";

//	validation stuff
$bodyonload="";
$onsubmit="";
$includes.="<script language=\"JavaScript\" src=\"include/validate.js\"></script>\r\n";
$includes.="<script language=\"JavaScript\">\r\n";
$includes.="var TEXT_FIELDS_REQUIRED='".addslashes("Los siguientes campos requirieron")."';\r\n";
$includes.="var TEXT_FIELDS_ZIPCODES='".addslashes("Los siguientes campos deben ser códigos postales válidos")."';\r\n";
$includes.="var TEXT_FIELDS_EMAILS='".addslashes("Los siguientes campos deben ser correos electrónicos válidos")."';\r\n";
$includes.="var TEXT_FIELDS_NUMBERS='".addslashes("Los siguientes campos deben ser numeros")."';\r\n";
$includes.="var TEXT_FIELDS_CURRENCY='".addslashes("Los siguientes campos deben ser moneda corriente")."';\r\n";
$includes.="var TEXT_FIELDS_PHONE='".addslashes("Los siguientes campos deben ser números telefónicos")."';\r\n";
$includes.="var TEXT_FIELDS_PASSWORD1='".addslashes("Los siguientes campos deben ser contraseñas válidas")."';\r\n";
$includes.="var TEXT_FIELDS_PASSWORD2='".addslashes("deben tener por lo menos 4 caracteres")."';\r\n";
$includes.="var TEXT_FIELDS_PASSWORD3='".addslashes("Si no, no puede \"password\"")."';\r\n";
$includes.="var TEXT_FIELDS_STATE='".addslashes("Los siguientes campos deben ser Nombres de Estados")."';\r\n";
$includes.="var TEXT_FIELDS_SSN='".addslashes("Los siguientes campos deben ser Números de Seguridad Social")."';\r\n";
$includes.="var TEXT_FIELDS_DATE='".addslashes("Los siguientes campos deben ser fechas válidas")."';\r\n";
$includes.="var TEXT_FIELDS_TIME='".addslashes("Los campos siguientes deben ser validados en el formato de fecha de 24 horas")."';\r\n";
$includes.="var TEXT_FIELDS_CC='".addslashes("Los siguientes campos deben ser números de tarjetas de crédito")."';\r\n";
$includes.="var TEXT_FIELDS_SSN='".addslashes("Los siguientes campos deben ser Números de Seguridad Social")."';\r\n";
$includes.="</script>\r\n";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_inicio','".$validatetype."','Fecha de Inicio');";
  	$validatetype="IsNumeric";
	$validatetype.="IsRequired";
	if($validatetype)
		$bodyonload.="define('value_id_proceso','".$validatetype."','Identificador Proceso');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_id_camara','".$validatetype."','Identificador Camara');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_fin','".$validatetype."','Fecha de Fin');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_ultcam','".$validatetype."','Fecha del Ultimo Cambio');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_frecuencia','".$validatetype."','Frecuencia');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_inicio_giro1','".$validatetype."','Fecha Inicio Giro 1');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_fin_giro1','".$validatetype."','Fecha Fin Giro 1');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_inicio_giro2','".$validatetype."','Fecha Inicio Giro 2');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_fin_giro2','".$validatetype."','Fecha Fin Giro 1');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_inicio_giro3','".$validatetype."','Fecha Inicio Giro 3');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_fecha_fin_giro3','".$validatetype."','Fecha Fin Giro 1');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_Pallets','".$validatetype."','Pallets');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_Puchos','".$validatetype."','Puchos');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_bins','".$validatetype."','bins');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_id_especie','".$validatetype."','Identificador Especie');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_id_envase','".$validatetype."','Identificador Envase');";
  	$validatetype="IsNumeric";
	if($validatetype)
		$bodyonload.="define('value_num_giros','".$validatetype."','Numero de Giros');";

if($bodyonload)
{
	$onsubmit="return validate();";
	$bodyonload="onload=\"".$bodyonload."\"";
}

if ($useAJAX) {
	$includes.="<script language=\"JavaScript\" src=\"include/jquery.js\"></script>\r\n";
	$includes.="<script language=\"JavaScript\" src=\"include/ajaxsuggest.js\"></script>\r\n";
}
$includes.="<script language=\"JavaScript\" src=\"include/jsfunctions.js\"></script>\r\n";
$includes.="<script language=\"JavaScript\">\r\n".
"var locale_dateformat = ".$locale_info["LOCALE_IDATE"].";\r\n".
"var locale_datedelimiter = \"".$locale_info["LOCALE_SDATE"]."\";\r\n".
"var bLoading=false;\r\n".
"var TEXT_PLEASE_SELECT='".jsreplace("Por favor seleccione")."';\r\n";
if ($useAJAX) {
	$includes.="var AUTOCOMPLETE_TABLE='pf_proceso_autocomplete.php';\r\n";
	$includes.="var SUGGEST_TABLE='pf_proceso_searchsuggest.php';\r\n";
	$includes.="var SUGGEST_LOOKUP_TABLE='pf_proceso_lookupsuggest.php';\r\n";
}
$includes.="</script>\r\n";
if ($useAJAX) {
	$includes.="<div id=\"search_suggest\"></div>\r\n";
}





$smarty->assign("includes",$includes);
$smarty->assign("bodyonload",$bodyonload);
if(strlen($onsubmit))
	$onsubmit="onSubmit=\"".$onsubmit."\"";
$smarty->assign("onsubmit",$onsubmit);

$smarty->assign("message",$message);


$readonlyfields=array();

//	show readonly fields

$linkdata="";

if ($useAJAX) {
	$linkdata .= "<script type=\"text/javascript\">\r\n";
	$linkdata .= "$(document).ready(function(){ \r\n";
	$linkdata .= "
function loadSelectContent(txt, selectControl, selectValue) 
{
	$('#'+selectControl).get(0).options[0]=new Option(TEXT_PLEASE_SELECT,'');
	var str = txt.split('\\n');
	var index = 0;
	for(i=0,j=0; i < str.length - 1; i=i+2, j++) {
		$('#'+selectControl).get(0).options[j+1]=new Option(unescape(str[i+1]),unescape(str[i]));
		if ( unescape(str[i]) == selectValue ) {index = j+1;}
	}
	$('#'+selectControl).get(0).selectedIndex = index;
	if(index==0 && j==1)
		$('#'+selectControl).get(0).selectedIndex = 1;
}"."\r\n";
	$linkdata .= "});\r\n";
	$linkdata .= "</script>\r\n";
} else {
}

$smarty->assign("linkdata",$linkdata);

$templatefile = "pf_proceso_add.htm";
if(function_exists("BeforeShowAdd"))
	BeforeShowAdd($smarty,$templatefile);

$smarty->display($templatefile);


function add_error_handler($errno, $errstr, $errfile, $errline)
{
	global $readavalues, $message, $error_happened;
	$message="<div class=message><<< "."El registro no ha sido añadido"." >>><br><br>".$errstr."</div>";
	$readavalues=true;
	$error_happened=true;
}

?>
